Bug 848214 (CVE-2012-3491)

Summary: CVE-2012-3491 condor: local users can abort any idle jobs
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: iboverma, jneedle, matt, mcressma, mrg-program-list, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120919,reported=20120628,source=redhat,cvss2=1.7/AV:L/AC:L/Au:S/C:N/I:P/A:N,mrg-2/condor=affected,fedora-all/condor=affected
Fixed In Version: condor 7.6.10, condor 7.8.4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-22 03:04:30 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 836253, 858867    
Bug Blocks: 828434, 846654    

Description Vincent Danen 2012-08-14 18:35:38 EDT
Florian Weimer of the Red Hat Product Security Team discovered that the ability to abort a job in Condor only required WRITE authorization, instead of a combination of WRITE authorization and job ownership. This could allow an authenticated attacker to bypass intended restrictions and abort any idle job on the system.
Comment 1 Vincent Danen 2012-09-19 11:54:37 EDT
Acknowledgements:

This issue was discovered by Florian Weimer of the Red Hat Product Security Team.
Comment 2 errata-xmlrpc 2012-09-19 13:45:18 EDT
This issue has been addressed in following products:

  MRG for RHEL-5 v. 2

Via RHSA-2012:1278 https://rhn.redhat.com/errata/RHSA-2012-1278.html
Comment 3 errata-xmlrpc 2012-09-19 13:53:15 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2012:1281 https://rhn.redhat.com/errata/RHSA-2012-1281.html
Comment 4 Vincent Danen 2012-09-19 17:06:48 EDT
Created condor tracking bugs for this issue

Affects: fedora-all [bug 858867]
Comment 5 Vincent Danen 2012-09-19 17:59:12 EDT
This has been resolved in upstream 7.6.10 and 7.8.4:

https://lists.cs.wisc.edu/archive/condor-users/2012-September/msg00077.shtml
Comment 6 Vincent Danen 2012-09-20 17:45:07 EDT
The upstream git commit is here:

http://condor-git.cs.wisc.edu/?p=condor.git;a=commitdiff;h=1fff5d40